package whatsapp_channel

import (
	"context"

    "wechat-api/ent/whatsappchannel"
    "wechat-api/internal/svc"
    "wechat-api/internal/types"
    "wechat-api/internal/utils/dberrorhandler"

    "github.com/suyuan32/simple-admin-common/msg/errormsg"
    "github.com/zeromicro/go-zero/core/logx"
)

type DeleteWhatsappChannelLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewDeleteWhatsappChannelLogic(ctx context.Context, svcCtx *svc.ServiceContext) *DeleteWhatsappChannelLogic {
	return &DeleteWhatsappChannelLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *DeleteWhatsappChannelLogic) DeleteWhatsappChannel(req *types.IDsReq) (*types.BaseMsgResp, error) {
	_, err := l.svcCtx.DB.WhatsappChannel.Delete().Where(whatsappchannel.IDIn(req.Ids...)).Exec(l.ctx)

    if err != nil {
		return nil, dberrorhandler.DefaultEntError(l.Logger, err, req)
	}

    return &types.BaseMsgResp{Msg: errormsg.DeleteSuccess}, nil
}
